E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GSmtp::MessageStore::IteratorImp Class Referenceabstract

A base class for MessageStore::Iterator implementations. More...

`#include <gmessagestore.h>`

Inheritance diagram for GSmtp::MessageStore::IteratorImp:

## Public Member Functions
virtual unique_ptr< StoredMessage > | next ()=0

## Public Attributes
unsigned long | m_ref_count

## Detailed Description

A base class for MessageStore::Iterator implementations.

Definition at line 46 of file gmessagestore.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gmessagestore.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gmessagestore.cpp